body {
  max-width: 1800px;
  
  /* Step 2: Ensure it shrinks to maintain at least 20px of margin on small screens */
  width: calc(100% - 40px); 
  
  /* Step 3: Center the body and apply a 20px margin to the top and bottom */
  margin: 20px auto; 

}

header {
  max-width: 1810px;
  left: 50%;
  translate: -50%;
}

/* content styles top to bottom */

.details {
  display: flex;
  justify-content: space-between;
  font-size: 16px;
}

.project-title {
  font-size: 2em;
  margin-bottom: 20px;
  margin-top: 15px;
}

#skills {
  display: flex;
  margin: 15px 0;
  flex-wrap: wrap;
  gap: 12px 1px;
}

#skills li {
  font-size: 10px;
  border-radius: 18px;
  outline: 1px solid var(--text-color);
  padding: 4px 12px;
  margin-right: 10px;
  text-align: center;
  display: flex;
  align-items: center;
  transition: background-color 0.3s;
  font-weight: 400;
  flex-shrink: 0;
  &:hover {
    background-color: var(--text-color);
    color: var(--bg-color);
    transition: background-color 0.3s;
  }
}

.pj-question {
  margin: 25px 0;
}

.pj-image {
  margin: 20px 0;
}

.pj-hero, img {
  border-radius: 8px;
  overflow: hidden;
}

.description {
  margin: 25px 0;
}

.desc-tag {
  font-size: 10px;
  margin-bottom: 10px;
}

.desc-para {
  font-size: 24px;
}

/* styles for videos */

  .pj-video {
    outline: 1px solid var(--text-color);
    margin: 25px 0;
    aspect-ratio: 16 / 9;
    border-radius: 8px;
  }

  .video-info {
    padding: 20px;
    font-size: 16px;
    display: flex;
    align-items: flex-end;
    gap: 8px;
    height: 100%;
    width: 100%;
    background: linear-gradient(0deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 50%);
  }

@media screen and (width >= 600px) {
  .description {
  display: grid;
  grid-template-columns: 1fr 4fr;
}
.details {
  font-size: 24px;
}
.image-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }
}

@media screen and (width >= 900px) {
body {
  display: grid;
  grid-template-columns: 1fr 200px;
}

#content {
  grid-column: 1 / 2;
  grid-row: 1;
  margin-right: 20px;
}

#nav-info {
  grid-column: 2 / 3;
  flex-direction: column;
  height: 95vh;
  position: sticky;
  top: 20px;
}

#solar-info {
  font-size: 16px;
}



.desc-tag {
  font-size: 16px;
}

.desc-para {
  font-size: 32px;
}

#title-skills {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 0 30px;
}

.project-title,
#skills {
  flex-shrink: 0;
}

.artist-statement {
  display: grid;
  grid-template-columns: 1fr 1.5fr;
}

}